<html>
<head>
<title>OgrePrerequisites.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Defines</a> &#124;
<a href="#typedef-members">Typedefs</a>  </div>
  <div class="headertitle">
<div class="title">OgrePrerequisites.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgrePlatform_8h_source.html">OgrePlatform.h</a>&quot;</code><br/>
<code>#include &lt;string&gt;</code><br/>
<code>#include &quot;<a class="el" href="OgreThreadDefines_8h_source.html">Threading/OgreThreadDefines.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreStdHeaders_8h_source.html">OgreStdHeaders.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreMemoryAllocatorConfig_8h_source.html">OgreMemoryAllocatorConfig.h</a>&quot;</code><br/>
</div>
<p><a href="OgrePrerequisites_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1deque.html">Ogre::deque&lt; T, A &gt;</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1vector.html">Ogre::vector&lt; T, A &gt;</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1list.html">Ogre::list&lt; T, A &gt;</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1set.html">Ogre::set&lt; T, P, A &gt;</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1map.html">Ogre::map&lt; K, V, P, A &gt;</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1multimap.html">Ogre::multimap&lt; K, V, P, A &gt;</a></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
<tr><td colspan="2"><h2><a name="define-members"></a>
Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#a7087d2ed9eb4e1f820fd300d85df375d">OGRE_MEMORY_TRACKER</a>&#160;&#160;&#160;0</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#ae5b524dcaad06fe829b6a1952cc6f7cf">OGRE_VERSION_MAJOR</a>&#160;&#160;&#160;1</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#a151f60246acece3e651a8f1d0999f85b">OGRE_VERSION_MINOR</a>&#160;&#160;&#160;8</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#a144780d2bcdd852d2ff7a7a450c7856d">OGRE_VERSION_PATCH</a>&#160;&#160;&#160;0</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#abce1e968a0f7309c73a8a2d7a19544e2">OGRE_VERSION_SUFFIX</a>&#160;&#160;&#160;&quot;&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#a4a5177c0cfa26a662edfe3e311935fdf">OGRE_VERSION_NAME</a>&#160;&#160;&#160;&quot;Byatis&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#a3f631403da0a255c201870bfd068f8c5">OGRE_VERSION</a>&#160;&#160;&#160;((<a class="el" href="OgrePrerequisites_8h.html#ae5b524dcaad06fe829b6a1952cc6f7cf">OGRE_VERSION_MAJOR</a> &lt;&lt; 16) | (<a class="el" href="OgrePrerequisites_8h.html#a151f60246acece3e651a8f1d0999f85b">OGRE_VERSION_MINOR</a> &lt;&lt; 8) | <a class="el" href="OgrePrerequisites_8h.html#a144780d2bcdd852d2ff7a7a450c7856d">OGRE_VERSION_PATCH</a>)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#aa3cf5d1d0401f71e90c8684179eb9bf2">HashMap</a>&#160;&#160;&#160;::std::hash_map</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#a082616e233181b887cf317b8d57448c6">HashSet</a>&#160;&#160;&#160;::std::hash_set</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#a5accccc5ab87a1784147e24c55e6bd3e">OGRE_DEFINE_STATIC_LOCAL</a>(type, name, arguments)&#160;&#160;&#160;static type&amp; name = *new type arguments</td></tr>
<tr><td colspan="2"><h2><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Ogre::Real</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Software floating point type.  <a href="#aa3a7b6dfb905e6572d62f0dfa3d4274d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef unsigned char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#a07f1f7c1d84d58c9beae02e1ebb945e4">Ogre::uchar</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">In order to avoid finger-aches :)  <a href="#a07f1f7c1d84d58c9beae02e1ebb945e4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef unsigned short&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">Ogre::ushort</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">Ogre::uint</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#a4304981347643708ee9a7ba8884e5758">Ogre::ulong</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#a6190e7c0a19190277aeadf25f536ac8c">Ogre::_StringBase</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <br class="typebreak"/>
std::basic_stringstream&lt; char, <br class="typebreak"/>
std::char_traits&lt; char &gt;<br class="typebreak"/>
, std::allocator&lt; char &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#a9e58d974b559e9184139357d0cb30ba5">Ogre::_StringStreamBase</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef _StringBase&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">Ogre::String</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef _StringStreamBase&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#a9f14407f349c1ec70ddab871a7806590">Ogre::StringStream</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef StringStream&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#a64e76a61ffe0fc66797727c518151d35">Ogre::stringstream</a></td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="aa3cf5d1d0401f71e90c8684179eb9bf2"></a><!-- doxytag: member="OgrePrerequisites.h::HashMap" ref="aa3cf5d1d0401f71e90c8684179eb9bf2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePrerequisites_8h.html#aa3cf5d1d0401f71e90c8684179eb9bf2">HashMap</a>&#160;&#160;&#160;::std::hash_map</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePrerequisites_8h_source.html#l00107">107</a> of file <a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>.</p>

</div>
</div>
<a class="anchor" id="a082616e233181b887cf317b8d57448c6"></a><!-- doxytag: member="OgrePrerequisites.h::HashSet" ref="a082616e233181b887cf317b8d57448c6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePrerequisites_8h.html#a082616e233181b887cf317b8d57448c6">HashSet</a>&#160;&#160;&#160;::std::hash_set</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePrerequisites_8h_source.html#l00108">108</a> of file <a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5accccc5ab87a1784147e24c55e6bd3e"></a><!-- doxytag: member="OgrePrerequisites.h::OGRE_DEFINE_STATIC_LOCAL" ref="a5accccc5ab87a1784147e24c55e6bd3e" args="(type, name, arguments)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePrerequisites_8h.html#a5accccc5ab87a1784147e24c55e6bd3e">OGRE_DEFINE_STATIC_LOCAL</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">type, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">name, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">arguments&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;static type&amp; name = *new type arguments</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePrerequisites_8h_source.html#l00112">112</a> of file <a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7087d2ed9eb4e1f820fd300d85df375d"></a><!-- doxytag: member="OgrePrerequisites.h::OGRE_MEMORY_TRACKER" ref="a7087d2ed9eb4e1f820fd300d85df375d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePrerequisites_8h.html#a7087d2ed9eb4e1f820fd300d85df375d">OGRE_MEMORY_TRACKER</a>&#160;&#160;&#160;0</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePrerequisites_8h_source.html#l00047">47</a> of file <a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3f631403da0a255c201870bfd068f8c5"></a><!-- doxytag: member="OgrePrerequisites.h::OGRE_VERSION" ref="a3f631403da0a255c201870bfd068f8c5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePrerequisites_8h.html#a3f631403da0a255c201870bfd068f8c5">OGRE_VERSION</a>&#160;&#160;&#160;((<a class="el" href="OgrePrerequisites_8h.html#ae5b524dcaad06fe829b6a1952cc6f7cf">OGRE_VERSION_MAJOR</a> &lt;&lt; 16) | (<a class="el" href="OgrePrerequisites_8h.html#a151f60246acece3e651a8f1d0999f85b">OGRE_VERSION_MINOR</a> &lt;&lt; 8) | <a class="el" href="OgrePrerequisites_8h.html#a144780d2bcdd852d2ff7a7a450c7856d">OGRE_VERSION_PATCH</a>)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePrerequisites_8h_source.html#l00062">62</a> of file <a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae5b524dcaad06fe829b6a1952cc6f7cf"></a><!-- doxytag: member="OgrePrerequisites.h::OGRE_VERSION_MAJOR" ref="ae5b524dcaad06fe829b6a1952cc6f7cf" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePrerequisites_8h.html#ae5b524dcaad06fe829b6a1952cc6f7cf">OGRE_VERSION_MAJOR</a>&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePrerequisites_8h_source.html#l00056">56</a> of file <a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>.</p>

</div>
</div>
<a class="anchor" id="a151f60246acece3e651a8f1d0999f85b"></a><!-- doxytag: member="OgrePrerequisites.h::OGRE_VERSION_MINOR" ref="a151f60246acece3e651a8f1d0999f85b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePrerequisites_8h.html#a151f60246acece3e651a8f1d0999f85b">OGRE_VERSION_MINOR</a>&#160;&#160;&#160;8</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePrerequisites_8h_source.html#l00057">57</a> of file <a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4a5177c0cfa26a662edfe3e311935fdf"></a><!-- doxytag: member="OgrePrerequisites.h::OGRE_VERSION_NAME" ref="a4a5177c0cfa26a662edfe3e311935fdf" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePrerequisites_8h.html#a4a5177c0cfa26a662edfe3e311935fdf">OGRE_VERSION_NAME</a>&#160;&#160;&#160;&quot;Byatis&quot;</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePrerequisites_8h_source.html#l00060">60</a> of file <a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>.</p>

</div>
</div>
<a class="anchor" id="a144780d2bcdd852d2ff7a7a450c7856d"></a><!-- doxytag: member="OgrePrerequisites.h::OGRE_VERSION_PATCH" ref="a144780d2bcdd852d2ff7a7a450c7856d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePrerequisites_8h.html#a144780d2bcdd852d2ff7a7a450c7856d">OGRE_VERSION_PATCH</a>&#160;&#160;&#160;0</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePrerequisites_8h_source.html#l00058">58</a> of file <a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>.</p>

</div>
</div>
<a class="anchor" id="abce1e968a0f7309c73a8a2d7a19544e2"></a><!-- doxytag: member="OgrePrerequisites.h::OGRE_VERSION_SUFFIX" ref="abce1e968a0f7309c73a8a2d7a19544e2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePrerequisites_8h.html#abce1e968a0f7309c73a8a2d7a19544e2">OGRE_VERSION_SUFFIX</a>&#160;&#160;&#160;&quot;&quot;</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePrerequisites_8h_source.html#l00059">59</a> of file <a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
